
Name:          rat-lib
Version:       0.5.1
Release:       %mkrel 1
Summary:       A Release Audit Tool, Library
Group:         Development/Java
License:       ASL 2.0
Url:           http://code.google.com/p/arat/
Source0:       http://arat.googlecode.com/files/rat-0.5.1-src.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-lang
BuildRequires: junit
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-source-plugin

Requires:      ant
Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Release Audit Tool (RAT) is a tool to improve accuracy and efficiency when checking
releases. It is heuristic in nature: making guesses about possible problems. It
will produce false positives and cannot find every possible issue with a release.
It's reports require interpretation.

In response to demands from project quality tool developers, RAT is available as a 
library suitable for inclusion in tools. This POM describes that library.
Note that binary compatibility is not gauranteed between 0.x releases.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n rat-%{version}-src
chmod -R go=u-w *
for f in $(find . -name "*.jar"); do
 mv $f $f.no
done
mv src/test/elements/dummy.jar.no src/test/elements/dummy.jar

%build
mvn-rpmbuild  install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/%{name}
%doc *.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Thu Oct 20 2011 gil <gil> 0.5.1-1.mga2
+ Revision: 157057
- imported package rat-lib

